Bug 666261 - [abrt] exaile-0.3.2.0-2.fc14: pipe.py:64:__init__:TypeError: argument must be a GstElement
Summary: [abrt] exaile-0.3.2.0-2.fc14: pipe.py:64:__init__:TypeError: argument must be...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3eee1a2d
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-29 22:28 UTC by Jonatas
Modified: 2011-03-28 19:34 UTC (History)
2 users (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:34:16 UTC


Attachments (Terms of Use)
File: backtrace (1.52 KB, text/plain)
2010-12-29 22:28 UTC, Jonatas
no flags Details

Description Jonatas 2010-12-29 22:28:43 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.7/site-packages/exaile/exaile.py
kernel: 2.6.35.6-45.fc14.x86_64
package: exaile-0.3.2.0-2.fc14
reason: pipe.py:64:__init__:TypeError: argument must be a GstElement
release: Fedora release 14 (Laughlin)
time: 1293662291
uid: 500

backtrace
-----
pipe.py:64:__init__:TypeError: argument must be a GstElement

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/exaile/exaile.py", line 52, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/exaile/exaile.py", line 49, in main
    exaile = main.Exaile()
  File "/usr/lib/python2.7/site-packages/exaile/xl/main.py", line 96, in __init__
    self.__init()
  File "/usr/lib/python2.7/site-packages/exaile/xl/main.py", line 132, in __init
    self.__show_splash()
  File "/usr/lib/python2.7/site-packages/exaile/xl/main.py", line 260, in __show_splash
    import xlgui
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/__init__.py", line 52, in <module>
    from xlgui import cover
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/cover.py", line 40, in <module>
    from xl import (
  File "/usr/lib/python2.7/site-packages/exaile/xl/player/__init__.py", line 61, in <module>
    PLAYER = get_player()()
  File "/usr/lib/python2.7/site-packages/exaile/xl/player/engine_normal.py", line 46, in __init__
    pre_elems=[pipe.ProviderBin("stream_element")])
  File "/usr/lib/python2.7/site-packages/exaile/xl/player/_base.py", line 50, in __init__
    self.mainbin = pipe.MainBin(pre_elems=pre_elems)
  File "/usr/lib/python2.7/site-packages/exaile/xl/player/pipe.py", line 64, in __init__
    self.add(*self._elements)
TypeError: argument must be a GstElement

Local variables in innermost frame:
sinkname: 'auto'
self: <MainBin object (bin1) at 0x1f9df50>
pre_elems: [<ProviderBin object (bin0) at 0x1b8e0f0>]

How to reproduce
-----
1.Quando vai ser iniciado
2.
3.

Comment 1 Jonatas 2010-12-29 22:28:51 UTC
Created attachment 471113 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-04 15:41:40 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-05 02:46:51 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14

Comment 4 Fedora Update System 2011-03-28 19:31:38 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.